summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHolger Paradies <retabell@gmx.de>2020-01-12 10:01:15 +0100
committerHolger Paradies <retabell@gmx.de>2020-01-12 10:06:34 +0100
commit09ac97ea9e52bc1bdbcd638e65c52798d49b3331 (patch)
tree077d218f26e8f6b1a2bfc0e49c0926365e187422
parent8df79f18414d87c37ae9787b361c7625738c5d43 (diff)
downloadkanotix-09ac97ea9e52bc1bdbcd638e65c52798d49b3331.zip
kanotix-09ac97ea9e52bc1bdbcd638e65c52798d49b3331.tar.gz
add scripts to install cz language files
-rwxr-xr-xconfig/binary_local-hooks/grub2-configs4
-rwxr-xr-xconfig/chroot_local-hooks/03-extra-language-cz34
-rw-r--r--config/lists/extra_cz1
3 files changed, 39 insertions, 0 deletions
diff --git a/config/binary_local-hooks/grub2-configs b/config/binary_local-hooks/grub2-configs
index 32b286b..88ee2a7 100755
--- a/config/binary_local-hooks/grub2-configs
+++ b/config/binary_local-hooks/grub2-configs
@@ -18,6 +18,10 @@ fi
. config/chroot
+if echo "$LB_PACKAGE_LISTS" | grep -qw extra_cz; then
+ cp -f config/binary_grub/grub.cfg.cz binary/boot/grub/grub.cfg
+fi
+
if echo "$LB_PACKAGE_LISTS" | grep -qw gfxdetect; then
# keep gfxdetect entries in grub.cfg (for gfxdetect-builds)
echo "grub2-configs: keeping gfxdetect entries"
diff --git a/config/chroot_local-hooks/03-extra-language-cz b/config/chroot_local-hooks/03-extra-language-cz
new file mode 100755
index 0000000..bcc3397
--- /dev/null
+++ b/config/chroot_local-hooks/03-extra-language-cz
@@ -0,0 +1,34 @@
+#!/bin/sh
+for file in /root/config/*; do [ -r $file ] && . $file; done
+
+echo "$LB_PACKAGE_LISTS" | grep -qw extra_cz || exit 0
+
+if [ "$LB_DISTRIBUTION" = "buster" ]; then
+ echo "D: language cz"
+
+ if ! [ -x /usr/bin/lxde-logout ]; then
+ apt install kde-l10n-cs
+ fi
+
+ if [ -x /var/lib/dpkg/info/firefox-esr.postinst ]; then
+ apt install firefox-esr-l10n-cs
+ fi
+
+ if [ -x /var/lib/dpkg/info/thunderbird.postinst ]; then
+ apt install thunderbird-l10n-cs lightning-l10n-cs
+ fi
+
+ # TODO lo version number
+
+ if [ -x /var/lib/dpkg/info/libreoffice6.3-debian-menus.postinst ]; then
+ apt install libobasis6.3-cs libobasis6.3-cs-help libreoffice6.3-cs
+ fi
+
+ if [ -e /etc/skel/.config/kxkbrc ]; then
+ sed -i "s|,fr|,cz,fr|g" /etc/skel/.config/kxkbrc
+ fi
+
+ if [ -x /usr/bin/kanotix-lxde-keyboard ]; then
+ sed -i "s|fr|cz|g" /usr/bin/kanotix-lxde-keyboard
+ fi
+fi
diff --git a/config/lists/extra_cz b/config/lists/extra_cz
new file mode 100644
index 0000000..87dff10
--- /dev/null
+++ b/config/lists/extra_cz
@@ -0,0 +1 @@
+# placeholder as buildflag